UbixOS V2 2.0

Functions
mpi_syscalls.c File Reference
`#include <mpi/mpi.h>`
`#include <sys/sysproto.h>`
Include dependency graph for mpi_syscalls.c:

Go to the source code of this file.

## Functions
int | sys_mpiCreateMbox (struct thread *td, struct sys_mpiCreateMbox_args *args)
int | sys_mpiDestroyMbox (struct thread *td, struct sys_mpiDestroyMbox_args *args)
int | sys_mpiFetchMessage (struct thread *td, struct sys_mpiFetchMessage_args *args)
int | sys_mpiPostMessage (struct thread *td, struct sys_mpiPostMessage_args *args)

## Function Documentation

## ◆ sys_mpiCreateMbox()

int sys_mpiCreateMbox | ( | struct thread * | td,
|  | struct sys_mpiCreateMbox_args * | args
| ) |  |

Definition at line 4 of file mpi_syscalls.c.

References mpi_createMbox(), sys_mpiCreateMbox_args::name, and thread::td_retval.

Here is the call graph for this function:

## ◆ sys_mpiDestroyMbox()

int sys_mpiDestroyMbox | ( | struct thread * | td,
|  | struct sys_mpiDestroyMbox_args * | args
| ) |  |

Definition at line 9 of file mpi_syscalls.c.

References mpi_destroyMbox(), sys_mpiDestroyMbox_args::name, and thread::td_retval.

Here is the call graph for this function:

## ◆ sys_mpiFetchMessage()

int sys_mpiFetchMessage | ( | struct thread * | td,
|  | struct sys_mpiFetchMessage_args * | args
| ) |  |

Definition at line 14 of file mpi_syscalls.c.

References mpi_fetchMessage(), sys_mpiFetchMessage_args::msg, sys_mpiFetchMessage_args::name, and thread::td_retval.

Here is the call graph for this function:

## ◆ sys_mpiPostMessage()

int sys_mpiPostMessage | ( | struct thread * | td,
|  | struct sys_mpiPostMessage_args * | args
| ) |  |

Definition at line 19 of file mpi_syscalls.c.

References kprintf(), mpi_postMessage(), sys_mpiPostMessage_args::msg, sys_mpiPostMessage_args::name, thread::td_retval, and sys_mpiPostMessage_args::type.

Here is the call graph for this function: